Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class DeadlockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.DeadlockException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LockNotGrantedException

    public class DeadlockException

extends DatabaseException

DeadlockException is thrown to a thread of control when multiple threads competing for a lock are deadlocked or when a lock request would need to block and the transaction has been configured to not wait for locks. The exception carrys two arrays of transaction ids, one of the owners and the other of the waiters, at the time of the timeout.

See Also:
  Serialized Form

Constructor Summary
`DeadlockException()`
`DeadlockException(String message)`
`DeadlockException(String message, Throwable t)`
`DeadlockException(Throwable t)`

Method Summary
`long[]` | `getOwnerTxnIds()` Returns an array of longs containing transaction ids of owners at the the time of the timeout.
`long[]` | `getWaiterTxnIds()` Returns an array of longs containing transaction ids of waiters at the the time of the timeout.

Methods inherited from class com.sleepycat.je.DatabaseException
`getVersionHeader`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeadlockException

    public DeadlockException()

### DeadlockException

    public DeadlockException(Throwable t)

### DeadlockException

    public DeadlockException(String message)

### DeadlockException

    public DeadlockException(String message,
                             Throwable t)

Method Detail

### getOwnerTxnIds

    public long[] getOwnerTxnIds()

  Returns an array of longs containing transaction ids of owners at the the time of the timeout.

  Returns:
    an array of longs containing transaction ids of owners at the the time of the timeout.

### getWaiterTxnIds

    public long[] getWaiterTxnIds()

  Returns an array of longs containing transaction ids of waiters at the the time of the timeout.

  Returns:
    an array of longs containing transaction ids of waiters at the the time of the timeout.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.69
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.